Subject: bug#22985: using gnune-gtk with ratpoison (gnunet-fs in -gtk nonfunctional) -> needs participation and input

From: Efraim Flashner <[email-masked]>
Date: Tue, 22 Mar 2016 21:22:19 +0200

On Fri, 11 Mar 2016 16:34:15 +0100
Nils Gillmann <[email-masked]> wrote:

> This describes a bug with our gnunet-gtk package I am tracking
> now in gnu/packages/gnunet.scm and will include it to refer to in
> the patch I will send in as soon as I have enough time on this
> conference to rebase my (big) patch of gnunet.scm
> 
> Description/Problem:
> 
> - Using ratpoison as WM, running gnunet-gtk (svn) gives GSettings
>   related errors when opening gnunet-fs (filesharing) tab.
>   The error gets more specific when installing gsettings into
>   your profile (see irc log, 10.03.2016, grep for "gnunet"
>   "gsettings"). I can't be more precise at the moment due to the
>   lack of time. I provided some details on IRC on thursday, if I
>   have the time this weekend I'll add the exact error messages
>   you'll experience, though they are obvious in the terminal
>   output.
> 
> - Reconfiguring the system with xfce in the desktop profile seems
>   to provide more than ratpoison, the bug is gone. I have to
>   assume that xfce provides gsettings on its own, and that this
>   error is specific to minimal window managers without certain
>   X11/gtk profiles or otherwise configuration settings which get
>   delivered with xfce and the like.
> 
> The output (from memory) is visible when you kill/close
> gnunet-gtk, look for something related to gnunet-fs ... GIO
> .... GSettings .... and later: org.gtk.FileChooser (or something
> like that), also in relation to gnunet-fs.
> 
> I want people to do the following:
> - Install gnunet and gnunet-gtk (both 0.10.1), skip over
>   gnunet-setup, and see in gnunet-gtk after running "gnunet-arm
>   --start" if the tab for filesharing / publishing is just
>   black. In either case of positive or negative confirmation I
>   want to know about the used desktop/window manager and
>   environment variables to nail down the problem.
> - Do the exact same for gnunet-gtk-svn + gnunet-svn.
> 

Using Enlightenment on Debian with gnunet-0.10.1:
efraim@debian-netbook:~$ gnunet-arm --start
efraim@debian-netbook:~$ Mar 22 20:18:40-899114 transport-15540 ERROR Assertion failed at nat.c:1048.
Mar 22 20:18:40-903259 transport-15540 ERROR Assertion failed at nat.c:1048.
`gnunet-helper-vpn' is not SUID, refusing to run.

efraim@debian-netbook:~$ gnunet-gtk &
[1] 15674
efraim@debian-netbook:~$ Mar 22 20:19:03-946659 gnunet-peerinfo-gtk-15682 WARNING `write' failed on file `/home/efraim/.config/gnunet//topology/friends.txt' at friends.c:64 with error: No such file or directory
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
Mar 22 20:19:05-529428 gnunet-fs-gtk-15684 WARNING No default ego specified for `fs-sks` service, will not enable namespace search.
(gnunet-gtk:15674): GLib-GObject-WARNING **: instance with invalid (NULL) class pointer

(gnunet-gtk:15674): GLib-GObject-CRITICAL **: g_signal_handler_disconnect: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

File-sharing tab is not black (or blacked out)

And with gnunet-svn:
efraim@debian-netbook:~$ gnunet-arm --start
efraim@debian-netbook:~$ Mar 22 21:18:11-414243 peerinfo-10994 ERROR Assertion failed at gnunet-service-peerinfo.c:620.
Mar 22 21:18:11-439120 peerinfo-10994 WARNING File `/home/efraim/.local/share/gnunet//peerinfo/hosts/R8TTJ9GAL5VIFOFNM8KNT3D83BVQPBNRHJSSD0IME63V821906EG' in directory `/home/efraim/.local/share/gnunet//peerinfo/hosts/' does not match naming convention. Removed.
Mar 22 21:18:11-439433 peerinfo-10994 ERROR Assertion failed at gnunet-service-peerinfo.c:620.
Mar 22 21:18:11-439599 peerinfo-10994 WARNING File `/home/efraim/.local/share/gnunet//peerinfo/hosts/DPQIBOOJV8QBS3FGJ6B0K5NTSQ9SULV45H5KCR4HU7PQ64N8Q9F0' in directory `/home/efraim/.local/share/gnunet//peerinfo/hosts/' does not match naming convention. Removed.
Mar 22 21:18:11-445311 vpn-10990 ERROR `gnunet-helper-vpn' is not SUID, refusing to run.
Mar 22 21:18:11-554042 nat-10997 ERROR UPnP enabled in configuration, but UPnP client `upnpc` command not found, disabling UPnP
Mar 22 21:18:11-567307 nat-10997 ERROR UPnP enabled in configuration, but UPnP client `upnpc` command not found, disabling UPnP
Mar 22 21:18:12-142192 nat-10997 WARNING Failed to resolve STUN server (are we online?)
Mar 22 21:18:17-827712 set-10986 WARNING External protocol violation detected at gnunet-service-set_union.c:1082.
Mar 22 21:18:17-828107 set-union-10986 ERROR union operation failed
Mar 22 21:18:17-829664 revocation-10971 WARNING Error computing revocation set union with DSTJ
Mar 22 21:18:33-709532 resolver-api-10997 ERROR Resolver not configured correctly.
Mar 22 21:18:33-709712 transport-10997 ERROR Assertion failed at plugin_transport_tcp.c:2014.

efraim@debian-netbook:~$ gnunet-gtk &
[1] 11100
efraim@debian-netbook:~$ Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

File-sharing tab is not black (or blacked out)

> This bug is published before gnunet-svn, gnunet-gtk-svn and other
> changes to gnu/packages/gnunet.scm are send in as patches. I am
> currently not in reach of a permanent connection and will provide
> rebase and create a patch as soon as I can. Time and too much
> input in talks is another factor keeping me from currently
> rebasing the patch against master.
> Just know that the patch is functional and this bug is considered
> something people using windowmanagers equal to ratposion should
> help me in solving, as this is caused by an external factor I
> have to pin and optimize the gnunet package on or provide a note
> for certain environments. In itself, based on a work I
> co-authored with Jookia, it is functional.
> 
> 
> Sorry if this might read verbose or confusing but I write this
> based on something I have written between yesterday, this morning
> and in between rushing to the next talk :)
> 
> Thanks for your patience,

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted